<ui:composition xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:f="http://java.sun.com/jsf/core" 
				xmlns:h="http://java.sun.com/jsf/html" 
				xmlns:ui="http://java.sun.com/jsf/facelets" 
				template="/template/template.xhtml"> 
				
<ui:define name="title"> All Candidats </ui:define>


    	<ui:define name="Content">
 			    
   
			<h:panelGroup columns="2">
			<h:form>
			<h:commandButton action="affwithrecherche" value="Recherche" />
				<h:dataTable value="#{candidatBean.candidats}" var="candidat"
					border="1">
					<h:column>
						<f:facet name="header">
							<h:outputText value="Certification" />
						</f:facet>
						<h:outputText value="#{candidat.certification}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Competence" />
						</f:facet>
						<h:outputText value="#{candidat.competence}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Email" />
						</f:facet>
						<h:outputText value="#{candidat.email}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Etat Compte" />
						</f:facet>
						<h:outputText value="#{candidat.experience}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Introduction" />
						</f:facet>
						<h:graphicImage value="/#{candidat.introduction}" style="border-radius: 50%;" width="75" height="75"></h:graphicImage>
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Nom" />
						</f:facet>
						<h:outputText value="#{candidat.nom}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Password" />
						</f:facet>
						<h:outputText value="#{candidat.password}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Prenom" />
						</f:facet>
						<h:outputText value="#{candidat.prenom}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Type" />
						</f:facet>
						<h:outputText value="#{candidat.type}" />
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="Action" />
						</f:facet>
						<h:commandButton action="#{candidatBean.removeCandidat(candidat.candidatId)}"
							value="Supprimer" />
						<h:commandButton action="#{candidatBean.displayCandidat(candidat)}" value="Afficher" />
						
							
					
					</h:column>
					
				</h:dataTable>
			</h:form>
		</h:panelGroup>
	 <h:panelGroup columns="2">
<h:form>

<table>
<tr><td><h:outputText value="Certification"/></td><td><h:inputText value="#{candidatBean.certification}"/></td></tr>
<tr><td><h:outputText value="Competence"></h:outputText></td>
<td><h:inputText value="#{candidatBean.competence}"></h:inputText></td></tr>
<tr><td><h:outputText value="Email"></h:outputText></td>
<td><h:inputText value="#{candidatBean.email}"></h:inputText></td></tr>
<tr><td><h:outputText value="Etat Compte"></h:outputText></td>
<td><h:inputText value="#{candidatBean.experience}"></h:inputText></td></tr>
<tr><td><h:outputText value="Introduction"></h:outputText></td>
<td><h:inputText value="#{candidatBean.introduction}"></h:inputText></td></tr>
<tr><td><h:outputText value="Nom"></h:outputText></td>
<td><h:inputText value="#{candidatBean.nom}"></h:inputText></td></tr>
<tr><td><h:outputText value="Password"></h:outputText></td>
<td><h:inputText value="#{candidatBean.password}"></h:inputText></td></tr>
<tr><td><h:outputText value="Prenom"></h:outputText></td>
<td><h:inputText value="#{candidatBean.prenom}"></h:inputText></td></tr>
<tr><td><h:outputText value="Type"></h:outputText></td>
<td><h:inputText value="#{candidatBean.type}"></h:inputText></td></tr>
<h:commandButton action="#{candidatBean.updateCandidat()}" value="Update" />
<h:commandButton action="#{candidatBean.updateCandidat()}"  value="Ban" />



</table>


</h:form>
</h:panelGroup>
		
		
		
		
		
		
   
  </ui:define>
  </ui:composition>